<?php
if ( isset( $_POST['oauth_settings'] ) ) {
	$oauth_message = f2api_update_oauth_settings();
}
$f2api_error = FALSE;
$message = "";

// notifications from oauth connection
if ( isset($_POST['oauth_settings'] ) ) {
	if ( $oauth_message == "success" ) {
		_e( '
		<div id="message" class="updated fade">
		<p>'.__('FourSquareAPI is now connected with FourSquare.', 'FourSquareAPI').'</p>
		</div>
		' );
	}
	else if ( $oauth_message == "fail" ) {

	}
	else if ( $oauth_message == "cleared" ) {
		_e( '
		<div id="message" class="updated fade">
		<p>'.__('OAuth Authentication Data Cleared.', 'FourSquareAPI').'</p>
		</div>
		' );
	}
	else  if ( $oauth_message == 'nosync' ) {
		_e( '
		<div id="message" class="updated fade">
		<p>'.__('OAuth Authentication Failed. Your server time is not in sync with the FourSquare servers. Talk to your hosting service to see what can be done.', 'FourSquareAPI').'</p>
		</div>
		' );
	}
	else {
		_e( '
		<div id="message" class="updated fade">
		<p>'.__('OAuth Authentication response not understood.', 'FourSquareAPI').'</p>
		</div>
		' );
	}
}
?>

<div class="wrap" id="FourSquareAPI">
	<?php
	if ( $message ) {
		_e( '<div id="message" class="updated fade">' . $message . '</div>' );
	}
	?>
	<div id="dropmessage" class="updated" style="display:none;"></div>
	<h2><?php _e( 'FourSquareAPI Options', 'FourSquareAPI' ); ?></h2>
	<div class="f2api-settings" id="poststuff">
	<div class="postbox" style="width:25%; float:right;">
		<h3><?php _e( 'Like this plugin?', 'FourSquareAPI' ); ?></h3>
		<div class="inside">
		<p>Please consider one of the following ...
			<ul style="list-style: disc inside none;">
				<li>Enable the credit link in the widget</li>
				<li>Give it a rating on <a href="http://wordpress.org/extend/plugins/foursquareapi/" target="_blank">WordPress.org</a></li>
				<li>Donate for development
					<form action="https://www.paypal.com/cgi-bin/webscr" method="post" style="float:right;">
						<input type="hidden" name="cmd" value="_s-xclick">
						<input type="hidden" name="hosted_button_id" value="GYR6PYQPTNM8E">
						<input type="image" src="https://www.paypalobjects.com/en_AU/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal  The safer, easier way to pay online.">
						<img alt="" border="0" src="https://www.paypalobjects.com/en_AU/i/scr/pixel.gif" width="1" height="1">
					</form>
				</li>
			</ul>
		</p>
	</div>
	</div>

	<?php
	if ( function_exists( 'f2api_connect_oauth' ) ) {
		f2api_connect_oauth();
		}
		?>
</div>
</div>
<?php
global $wp_version;
?>